ConfigurableFileCollection (Gradle API 2.14.1)

Package: org.gradle.api.file

## [Java] Interface ConfigurableFileCollection

- org.gradle.api.Buildable

- All Superinterfaces:
    AntBuilderAware, FileCollection, Buildable

  A `ConfigurableFileCollection` is a mutable `FileCollection`.

  You can obtain an instance of `ConfigurableFileCollection` by calling Project.files

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ConfigurableFileCollection` | `builtBy(Object... tasks)` Registers some tasks which build the files of this collection.
    `ConfigurableFileCollection` | `from(Object... paths)` Adds a set of source paths to this collection.
    `Set<Object>` | `getBuiltBy()` Returns the set of tasks which build the files of this collection.
    `Set<Object>` | `getFrom()` Returns the set of source paths for this collection.
    `ConfigurableFileCollection` | `setBuiltBy(Iterable<?> tasks)` Sets the tasks which build the files of this collection.
    `void` | `setFrom(Iterable<?> paths)` Sets the source paths for this collection.
    `void` | `setFrom(Object... paths)` Sets the source paths for this collection.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface FileCollection` | `add, addToAntBuilder, addToAntBuilder, asType, contains, filter, filter, getAsFileTree, getAsPath, getFiles, getSingleFile, isEmpty, minus, plus, stopExecutionIfEmpty`
    `interface AntBuilderAware` | `addToAntBuilder`
    `interface Buildable` | `getBuildDependencies`
    `interface Iterable` | `iterator`

- - ### Method Detail

    - #### public ConfigurableFileCollection builtBy(Object... tasks)

      Registers some tasks which build the files of this collection.

      Parameters:
        `tasks` - The tasks. These are evaluated as per Task.dependsOn.
      Returns:
        this

    - #### public ConfigurableFileCollection from(Object... paths)

      Adds a set of source paths to this collection. The given paths are evaluated as per Project.files.

      Parameters:
        `paths` - The files to add.
      Returns:
        this

    - #### public Set<Object> getBuiltBy()

      Returns the set of tasks which build the files of this collection.

      Returns:
        The set. Returns an empty set when there are no such tasks.

    - #### public Set<Object> getFrom()

      Returns the set of source paths for this collection. The paths are evaluated as per Project.files.

      Returns:
        The set of source paths. Returns an empty set if none.

    - #### public ConfigurableFileCollection setBuiltBy(Iterable<?> tasks)

      Sets the tasks which build the files of this collection.

      Parameters:
        `tasks` - The tasks. These are evaluated as per Task.dependsOn.
      Returns:
        this

    - #### public void setFrom(Iterable<?> paths)

      Sets the source paths for this collection. The given paths are evaluated as per Project.files.

      Parameters:
        `paths` - The paths.

    - #### public void setFrom(Object... paths)

      Sets the source paths for this collection. The given paths are evaluated as per Project.files.

      Parameters:
        `paths` - The paths.